Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.expr
Class PatternList

    java.lang.Object
      com.jclark.xsl.expr.PatternList

public class PatternList
extends java.lang.Object

This is where we come to find which template match pattern applies to any given node when we do an apply-templates. maintains lists of match patterns (PathPatterns?), and for each pattern, an associated object. This is usually (always?) associated with a mode for selecting the appropriate template action

Constructor Summary
`PatternList()`

Method Summary
`void` | `add(PathPattern pp, java.lang.Object obj)` add the pattern and object (a template rule) to the collection(s) of patterns this manages
`java.lang.Object` | `get(Node node, ExprContext context)` finds the first pattern in the list that matches the given Node in the given ExprContext.
`java.util.Enumeration` | `getAll(Node node, ExprContext context)` get an enumeration of all Rules that might match the given Node in the given ExprContext

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatternList

    public PatternList()

Method Detail

### get

    public java.lang.Object get(Node node,
                                ExprContext context)
                         throws XSLException

  finds the first pattern in the list that matches the given Node in the given ExprContext. if it is found, returns the associated object. returns null if none match

  Throws:
    `XSLException`

### getAll

    public java.util.Enumeration getAll(Node node,
                                        ExprContext context)

  get an enumeration of all Rules that might match the given Node in the given ExprContext

### add

    public void add(PathPattern pp,
                    java.lang.Object obj)

  add the pattern and object (a template rule) to the collection(s) of patterns this manages

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD